summaryrefslogtreecommitdiff
path: root/tests/touch/read-only
diff options
context:
space:
mode:
Diffstat (limited to 'tests/touch/read-only')
-rwxr-xr-xtests/touch/read-only2
1 files changed, 2 insertions, 0 deletions
diff --git a/tests/touch/read-only b/tests/touch/read-only
index 109ab00b1..11516d3c8 100755
--- a/tests/touch/read-only
+++ b/tests/touch/read-only
@@ -29,4 +29,6 @@ fail=0
touch read-only || fail=1
+touch - 1< read-only 2> /dev/null && { test ! -f - || fail=1; }
+
(exit $fail); exit $fail